## ros-indigo-sr-ronex-controllers 0.11.0

=== CMakeLists.txt ===
# Catkin User Guide: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/user_guide.html
# Catkin CMake Standard: http://www.ros.org/doc/groovy/api/catkin/html/user_guide/standards.html

cmake_minimum_required(VERSION 2.8.3)
project(sr_ronex_controllers)

# Load catkin and all dependencies required for this package
find_package(catkin REQUIRED COMPONENTS
    roscpp
    std_msgs
    std_srvs
    sr_ronex_msgs
    sr_ronex_hardware_interface
    sr_ronex_utilities
    sr_ronex_drivers
    pluginlib
    controller_interface
    ros_ethercat_model
)

include_directories( include ${catkin_INCLUDE_DIRS})

#common commands for building c++ executables and libraries
add_library(sr_ronex_controllers
    src/general_io_passthrough_controller.cpp
    src/fake_calibration_controller.cpp
    src/spi_base_controller.cpp
    src/spi_passthrough_controller.cpp
)
add_dependencies(sr_ronex_controllers ${catkin_EXPORTED_TARGETS})
target_link_libraries(sr_ronex_controllers ${catkin_LIBRARIES})

# catkin_package parameters: http://ros.org/doc/groovy/api/catkin/html/dev_guide/generated_cmake_api.html#catkin-package
catkin_package(
    CATKIN_DEPENDS
        roscpp
        std_msgs
        std_srvs
        sr_ronex_msgs
        sr_ronex_hardware_interface
        sr_ronex_utilities
        sr_ronex_drivers
        pluginlib
        controller_interface
        ros_ethercat_model
    INCLUDE_DIRS include
    LIBRARIES sr_ronex_controllers
)

install(TARGETS sr_ronex_controllers
   ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
   LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
)

file(GLOB PYTHON_SCRIPTS RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}"
   "${CMAKE_CURRENT_SOURCE_DIR}/scripts/*")
install(PROGRAMS ${PYTHON_SCRIPTS}
   DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

install(DIRECTORY include/${PROJECT_NAME}/
   DESTINATION ${CATKIN_PACKAGE_INCLUDE_DESTINATION})

install(FILES controller_plugins.xml
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION})

install(DIRECTORY config/
   DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/config)

=== debian/changelog ===
ros-indigo-sr-ronex-controllers (0.11.0-0trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 20 Jul 2015 10:21:19 -0000

ros-indigo-sr-ronex-controllers (0.10.0-0trusty) trusty; urgency=high

  * Adapt SPI controller and configuration to changes in the protocol
  * Fix SPI dynamic config.
  * adding SPI modes

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 06 Apr 2015 21:00:00 -0000

ros-indigo-sr-ronex-controllers (0.9.15-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 17 Jul 2014 21:00:00 -0000

ros-indigo-sr-ronex-controllers (0.9.14-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 12 Jun 2014 21:00:00 -0000

ros-indigo-sr-ronex-controllers (0.9.13-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 22 May 2014 21:00:00 -0000

ros-indigo-sr-ronex-controllers (0.9.12-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 22 May 2014 21:00:00 -0000

ros-indigo-sr-ronex-controllers (0.9.11-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 22 May 2014 21:00:00 -0000

ros-indigo-sr-ronex-controllers (0.9.10-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Sun, 18 May 2014 21:00:00 -0000

ros-indigo-sr-ronex-controllers (0.9.9-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Wed, 14 May 2014 21:00:00 -0000

ros-indigo-sr-ronex-controllers (0.9.8-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Wed, 14 May 2014 21:00:00 -0000

ros-indigo-sr-ronex-controllers (0.9.7-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Wed, 14 May 2014 21:00:00 -0000

ros-indigo-sr-ronex-controllers (0.9.6-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 25 Mar 2014 22:00:00 -0000

ros-indigo-sr-ronex-controllers (0.9.5-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 17 Dec 2013 22:00:00 -0000

ros-indigo-sr-ronex-controllers (0.9.4-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 19 Nov 2013 22:00:00 -0000

ros-indigo-sr-ronex-controllers (0.9.3-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 24 Sep 2013 21:00:00 -0000

ros-indigo-sr-ronex-controllers (0.9.2-0trusty) trusty; urgency=high

  * first public release for Hydro

 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 23 Sep 2013 21:00:00 -0000

=== debian/control ===
Source: ros-indigo-sr-ronex-controllers
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-controller-interface, ros-indigo-controller-manager-msgs, ros-indigo-pluginlib, ros-indigo-ros-ethercat-model, ros-indigo-roscpp, ros-indigo-sr-ronex-drivers, ros-indigo-sr-ronex-hardware-interface, ros-indigo-sr-ronex-msgs, ros-indigo-sr-ronex-utilities, ros-indigo-std-msgs, ros-indigo-std-srvs
Homepage: http://www.shadowrobot.com/products/ronex
Standards-Version: 3.9.2

Package: ros-indigo-sr-ronex-controllers
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-controller-interface, ros-indigo-controller-manager-msgs, ros-indigo-pluginlib, ros-indigo-ros-ethercat-model, ros-indigo-roscpp, ros-indigo-sr-ronex-drivers, ros-indigo-sr-ronex-hardware-interface, ros-indigo-sr-ronex-msgs, ros-indigo-sr-ronex-utilities, ros-indigo-std-msgs, ros-indigo-std-srvs
Description: Contains different useful controllers to use with the RoNeX.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-sr-ronex-controllers//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
